Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.iiop
Class CoordinatorExtPOATie

    java.lang.Object
      org.omg.PortableServer.Servant
          org.jboss.tm.iiop.CoordinatorExtPOA
              org.jboss.tm.iiop.CoordinatorExtPOATie

All Implemented Interfaces:
  CoordinatorExtOperations, org.omg.CosTransactions.CoordinatorOperations, InvokeHandler

public class CoordinatorExtPOATie
extends CoordinatorExtPOA

Generated from IDL interface "CoordinatorExt"

Author:
  JacORB IDL compiler V 2.2 (JBoss patch 2), 08-Jun-2004

Constructor Summary
`CoordinatorExtPOATie(CoordinatorExtOperations delegate)`
`CoordinatorExtPOATie(CoordinatorExtOperations delegate, POA poa)`

Method Summary
`POA` | `_default_POA()`
`CoordinatorExtOperations` | `_delegate()`
`void` | `_delegate(CoordinatorExtOperations delegate)`
`CoordinatorExt` | `_this()`
`CoordinatorExt` | `_this(ORB orb)`
`org.omg.CosTransactions.Control` | `create_subtransaction()`
`org.omg.CosTransactions.Status` | `get_parent_status()`
`org.omg.CosTransactions.Status` | `get_status()`
`org.omg.CosTransactions.Status` | `get_top_level_status()`
`TransactionId` | `get_transaction_id()`
`String` | `get_transaction_name()`
`org.omg.CosTransactions.PropagationContext` | `get_txcontext()`
`int` | `hash_top_level_tran()`
`int` | `hash_transaction()`
`boolean` | `is_ancestor_transaction(org.omg.CosTransactions.Coordinator tc)`
`boolean` | `is_descendant_transaction(org.omg.CosTransactions.Coordinator tc)`
`boolean` | `is_related_transaction(org.omg.CosTransactions.Coordinator tc)`
`boolean` | `is_same_transaction(org.omg.CosTransactions.Coordinator tc)`
`boolean` | `is_top_level_transaction()`
`org.omg.CosTransactions.RecoveryCoordinator` | `register_resource(org.omg.CosTransactions.Resource r)`
`void` | `register_subtran_aware(org.omg.CosTransactions.SubtransactionAwareResource r)`
`void` | `register_synchronization(org.omg.CosTransactions.Synchronization sync)`
`void` | `rollback_only()`

Methods inherited from class org.jboss.tm.iiop.CoordinatorExtPOA
`_all_interfaces, _invoke`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _is_a, _non_existent, _object_id, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoordinatorExtPOATie

    public CoordinatorExtPOATie(CoordinatorExtOperations delegate)

### CoordinatorExtPOATie

    public CoordinatorExtPOATie(CoordinatorExtOperations delegate,
                                POA poa)

Method Detail

### _this

    public CoordinatorExt _this()

  Overrides:
    `_this` in class `CoordinatorExtPOA`

### _this

    public CoordinatorExt _this(ORB orb)

  Overrides:
    `_this` in class `CoordinatorExtPOA`

### _delegate

    public CoordinatorExtOperations _delegate()

### _delegate

    public void _delegate(CoordinatorExtOperations delegate)

### _default_POA

    public POA _default_POA()

### get_top_level_status

    public org.omg.CosTransactions.Status get_top_level_status()

### register_resource

    public org.omg.CosTransactions.RecoveryCoordinator register_resource(org.omg.CosTransactions.Resource r)
                                                                  throws org.omg.CosTransactions.Inactive

  Throws:
    `org.omg.CosTransactions.Inactive`

### create_subtransaction

    public org.omg.CosTransactions.Control create_subtransaction()
                                                          throws org.omg.CosTransactions.SubtransactionsUnavailable,
                                                                 org.omg.CosTransactions.Inactive

  Throws:
    `org.omg.CosTransactions.SubtransactionsUnavailable`
    `org.omg.CosTransactions.Inactive`

### is_related_transaction

    public boolean is_related_transaction(org.omg.CosTransactions.Coordinator tc)

### rollback_only

    public void rollback_only()
                       throws org.omg.CosTransactions.Inactive

  Throws:
    `org.omg.CosTransactions.Inactive`

### is_ancestor_transaction

    public boolean is_ancestor_transaction(org.omg.CosTransactions.Coordinator tc)

### is_same_transaction

    public boolean is_same_transaction(org.omg.CosTransactions.Coordinator tc)

### hash_transaction

    public int hash_transaction()

### get_status

    public org.omg.CosTransactions.Status get_status()

### hash_top_level_tran

    public int hash_top_level_tran()

### register_synchronization

    public void register_synchronization(org.omg.CosTransactions.Synchronization sync)
                                  throws org.omg.CosTransactions.SynchronizationUnavailable,
                                         org.omg.CosTransactions.Inactive

  Throws:
    `org.omg.CosTransactions.SynchronizationUnavailable`
    `org.omg.CosTransactions.Inactive`

### is_top_level_transaction

    public boolean is_top_level_transaction()

### get_parent_status

    public org.omg.CosTransactions.Status get_parent_status()

### get_txcontext

    public org.omg.CosTransactions.PropagationContext get_txcontext()
                                                             throws org.omg.CosTransactions.Unavailable

  Throws:
    `org.omg.CosTransactions.Unavailable`

### get_transaction_id

    public TransactionId get_transaction_id()

### get_transaction_name

    public String get_transaction_name()

### register_subtran_aware

    public void register_subtran_aware(org.omg.CosTransactions.SubtransactionAwareResource r)
                                throws org.omg.CosTransactions.NotSubtransaction,
                                       org.omg.CosTransactions.Inactive

  Throws:
    `org.omg.CosTransactions.NotSubtransaction`
    `org.omg.CosTransactions.Inactive`

### is_descendant_transaction

    public boolean is_descendant_transaction(org.omg.CosTransactions.Coordinator tc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.